Summary:   Non-interactive SSH authentication utility
Name:      passh
Version:   1.0
Release:   1
License:   GPLv2
Group:     Applications/Internet
Url:       https://github.com/clarkwang/passh
Source0:   %{name}-%{version}.tar.bz2
Patch0:    %{name}-%{version}-aix.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: patch

%ifos aix5.1
Requires: AIX-rpm < 5.2.0.0
%else
Requires: AIX-rpm >= 5.2.0.0
%endif

%description
sshpass-like non-interactive SSH authentication utility.


%prep
export PATH=/opt/freeware/bin:$PATH
%setup -q
%patch0

# fake a <stdbool.h> as AIX5L V5.1 and XLC/C++ V7 doesn't have one
cat > stdbool.h << EOF
#ifndef stdbool_h_wrapper
#define stdbool_h_wrapper

typedef enum {false = 0, true = 1} bool;

#endif
EOF


%build
make all


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
cp passh ${RPM_BUILD_ROOT}%{_bindir}/
chmod 0755 ${RPM_BUILD_ROOT}%{_bindir}/*
/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%doc README.md
%{_bindir}/*
/usr/bin/*


%changelog
* Fri Nov 03 2017 Michael Perzl <michael@perzl.org> - 1.0-1
- first version for AIX V5.1 and higher
